<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace loyalsoft;

/**
 * Description of Ins_Equip
 *
 * @author c'y'zhao
 */
class Ins_Equip extends Object_ext{
    
    //public $uid = 0;
    
    public $typeId = 0;
    
    public $level = 1;

    /**
     * 装备可以升级的提示，点开装备提示消失，当又得到金币或是图纸后又有提示绿点
     * @var type
     */
    public $tip = 0;

    /**
     * 构造函数
     * @param type $args
     */
    public function __construct($args = null) {
        if($args !=null){
            parent::__construct($args);
        }                
    }
    
    /**
     * 配置
     * @return sm_gem
     */
    public function mo() {
        $mo = GameConfig::equip_getItem($this->typeId);
        my_Assert(null != $mo, ErrCode::err_const_no);
        return $mo;
    }

    //public $qual = 0;
    
    //public $posId = 0;
}
